module.exports=(async (wb) => {
    var sheet = wb.getWorksheet(2);
    var insertrows = [];
    sheet.eachRow({ includeEmpty: true }, function (row, rowNumber) {
        if (rowNumber >= 3 && rowNumber <= 28) {
            row.eachCell({ includeEmpty: true }, function (cell, colNumber) {
                    if (colNumber == 2) {
                        if (typeof cell.value == "object") {
                            desc="";
                            cell.value.richText.forEach(element => {
                                desc += element.text.replace(" ","");
                            });
                        } else {
                            desc = cell.value.replace(" ","");
                        }
                        cachetmp=desc;
                    }
                    if (colNumber ==3 ) {
                        var buildRow = {};
                        buildRow.rpttypecode = "ITY_INCOME_DESC";
                        buildRow.timetypecode = "Q";
                        buildRow.valstr = cell.value?(typeof cell.value=="object"?cell.value.result:cell.value):"0";
                        buildRow.desc = desc+"/金额";
                        buildRow.position = rowNumber + "-" + 1;
                        insertrows.push(buildRow);
                    }
            });
        }
    });
    return insertrows;
});